Sonic Visualiser - Bug #1777
Audio file reader tests fail (one sample short) in resampling mode in 32-bit build
2017-01-13 03:01 PM - Chris Cannam

Status: Closed Start date: 2017-01-13
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Only in the 32-bit build though. Doesn't seem to make a difference which resampler is in place.

FAIL! : AudioFileReaderTest::read(wav/48000-1-16.wav at 44100) Compared values are not the same
Actual (read) :88199
Expected (refFrames): 88200
Loc: [o/../svcore/data/fileio/test/AudioFileReaderTest.h(300)]
FAIL! : AudioFileReaderTest::read(wav/48000-1-16.wav at 44100 normalised) Compared values are not the same
Actual (read) :88199
Expected (refFrames): 88200
Loc: [o/../svcore/data/fileio/test/AudioFileReaderTest.h(300)]

History

#1 - 2017-01-13 03:04 PM - Chris Cannam
- Description updated

#2 - 2017-02-22 09:51 AM - Chris Cannam
- Status changed from New to Resolved

#3 - 2017-03-03 12:03 PM - Chris Cannam
- Status changed from Resolved to Closed
